﻿@using SportsClub.Areas.Dashboard.Models
@model SchoolSeasonDetailSettingViewModel
@{
    Layout = null;
}

<style>

</style>

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" ui-sref='SeasonSchoolSetting({seasonDomain: MC.stateParams.seasonDomain})'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                Season Details
            </h1>
        </div>

        <div class="clearfix"></div>
        <hr />
    </div>

    <form novalidate>

        <fieldset>
            <div>
           

                <label >Backpack flier dates</label>
                <div class="input-control date-time">
                    <input kendo-date-picker ng-model="backpackFlierDates" k-options="MC.datePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" ng-change="datetimePickerChanged($event,'BackpackFlierDates')" />
                </div>
                <div class="input-control choosen" data-role="input-control">
                    <div>
                        <select chosen multiple
                                data-placeholder="Select backpack flier dates"
                                ng-model="@Html.Ang(m => m.BackpackFlierDates)"
                                name="backpackFlierApplicableDates"
                                ng-options="obj.Value as obj.Text for obj in Model.AllBackpackFlierDates"></select>
                    </div>
                </div>

            
                <label>Email blast dates</label>
                <div class="input-control date-time">
                    <input kendo-date-picker ng-model="emailBlastDates" k-options="MC.datePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" ng-change="datetimePickerChanged($event,'EmailBlastDates')" />
                </div>
                <div class="input-control choosen" data-role="input-control">
                    <div>
                        <select chosen multiple
                                data-placeholder="Select email blast dates"
                                ng-model="@Html.Ang(m => m.EmailBlastDates)"
                                name="emailBlastApplicableDates"
                                ng-options="obj.Value as obj.Text for obj in Model.AllEmailBlastDates"></select>
                    </div>
                </div>
                
                <label>Instructor assignment deadline</label>
                <div class="input-control date-time">
                    <input kendo-date-picker ng-model="@Html.Ang(m => m.InstructorAssignmentDeadline)" k-options="MC.datePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                </div>
                <div class="clearfix"></div>
                <label>Instructor list delivery</label>
                <div class="input-control date-time">
                    <input kendo-date-picker ng-model="@Html.Ang(m => m.InstructorListDelivery)" k-options="MC.datePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                </div>
                <div class="clearfix"></div>
                <label>Rosters due</label>
                <div class="input-control date-time">
                    <input kendo-date-picker ng-model="@Html.Ang(m => m.RostersDue)" k-options="MC.datePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                </div>
                <div class="clearfix"></div>
                <label>Payments issued</label>
                <div class="input-control date-time">
                    <input kendo-date-picker ng-model="@Html.Ang(m => m.PaymentsIssued)" k-options="MC.datePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                </div>
                <div class="clearfix"></div>
                <label>Survey opens</label>
                <div class="input-control date-time">
                    <input kendo-date-picker ng-model="@Html.Ang(m => m.SurveyOpens)" k-options="MC.datePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                </div>
                <div class="clearfix"></div>
                <label>Survey closes</label>
                <div class="input-control date-time">
                    <input kendo-date-picker ng-model="@Html.Ang(m => m.SurveyCloses)" k-options="MC.datePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                </div>
                <div class="clearfix"></div>
                <label>Survey results due</label>
                <div class="input-control date-time">
                    <input kendo-date-picker ng-model="@Html.Ang(m => m.SurveyResultsDue)" k-options="MC.datePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                </div>
                <div class="clearfix"></div>
               
             
                  </div>
        </fieldset>
       

        <div class="clearfix"></div>
        <hr />
        <button ngaction="Season_SchoolSetting_DetailInfo_Save" ng-click="save()" class="success large place-right">Save</button>
        <a class="place-left button link large" ui-sref='SeasonSchoolSetting({seasonDomain: MC.stateParams.seasonDomain})'>Cancel</a>

    </form>
    <div class="clearfix"></div>
</div>